apptainer(1)

NAME

apptainer-pull - Pull an image from a URI

SYNOPSIS

apptainer pull [pull options...] [output file]

DESCRIPTION

The 'pull' command allows you to download or build a container from a given
  URI. Supported URIs include:

library: Pull an image from the currently configured library
      library://user/collection/container[:tag]

docker: Pull a Docker/OCI image from Docker Hub, or another OCI registry.
      docker://user/image:tag

shub: Pull an image from Singularity Hub
      shub://user/image:tag

oras: Pull a SIF image from an OCI registry that supports ORAS.
      oras://registry/namespace/image:tag

http, https: Pull an image using the http(s?) protocol
      https://example.com/alpine.sif

OPTIONS

--arch="amd64"
    architecture to pull from library

--arch-variant=""
    architecture variant to pull from library

--dir=""
    download images to the specific directory

--disable-cache[=false]
    do not use or create cached images/blobs

--docker-host=""
    specify a custom Docker daemon host

--docker-login[=false]
    login to a Docker Repository interactively

-F, --force[=false]
    overwrite an image file if it exists

-h, --help[=false]
    help for pull

--library=""
    download images from the provided library

--no-cleanup[=false]
    do NOT clean up bundle after failed build, can be helpful for debugging

--no-https[=false]
    use http instead of https for docker:// oras:// and library:///... URIs

EXAMPLE

      From a library
      $ apptainer pull alpine.sif library://alpine:latest
      From Docker
      $ apptainer pull tensorflow.sif docker://tensorflow/tensorflow:latest
      $ apptainer pull --arch arm --arch-variant 6 alpine.sif docker://alpine:latest
      From Shub
      $ apptainer pull apptainer-images.sif shub://vsoch/apptainer-images
      From supporting OCI registry (e.g. Azure Container Registry)
      $ apptainer pull image.sif oras://<username>.azurecr.io/namespace/image:tag

SEE ALSO

apptainer(1)

HISTORY

11-Oct-2023 Auto generated by spf13/cobra